import e from "./isObject.js";
import t from "./isSymbol.js";
import n from "./_baseTrim.js";
//#region ../../node_modules/lodash-es/toNumber.js
var r = NaN, i = /^[-+]0x[0-9a-f]+$/i, a = /^0b[01]+$/i, o = /^0o[0-7]+$/i, s = parseInt;
function c(c) {
	if (typeof c == "number") return c;
	if (t(c)) return r;
	if (e(c)) {
		var l = typeof c.valueOf == "function" ? c.valueOf() : c;
		c = e(l) ? l + "" : l;
	}
	if (typeof c != "string") return c === 0 ? c : +c;
	c = n(c);
	var u = a.test(c);
	return u || o.test(c) ? s(c.slice(2), u ? 2 : 8) : i.test(c) ? r : +c;
}
//#endregion
export { c as default };
